# List Calculation Grid Items Retrieves all Calculation Grid Items for the specified Calculation Grid. Endpoint: POST /fetch/CGI{keyNumber} Security: basic, X-PriceFx-jwt ## Path parameters: - `keyNumber` (string, required) Use CGI1..CGI6 in the path, where numbers from 1 to 6 refer to Calculation Grid Item keys. Enum: "1", "2", "3", "4", "5", "6" ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) - `data` (object, required) - `data.calculationGridId` (string, required) id of the Calculation Grid you want to retrieve Calculation Grid Items for. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.endRow` (integer) - `response.totalRows` (integer) - `response.status` (integer)